# Method: advertisers.lineItems.list

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.ListLineItemsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#try-it)

Lists line items in an advertiser.

The order is defined by the `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.QUERY_PARAMETERS.order_by` parameter. If a `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.QUERY_PARAMETERS.filter` by `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems#LineItem.FIELDS.entity_status` is not specified, line items with `ENTITY_STATUS_ARCHIVED` will not be included in the results.

### HTTP request

`GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/lineItems`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser to list line items for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `200`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.ListLineItemsResponse.FIELDS.next_page_token` returned from the previous call to `lineItems.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `displayName` (default) - `entityStatus` - `updateTime` The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: `displayName desc`. |
| `filter` | `string` Allows filtering by line item fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. - A restriction has the form of `{field} {operator} {value}`. - The `updateTime` field must use the `GREATER THAN OR EQUAL TO (>=)` or `LESS THAN OR EQUAL TO (<=)` operators. - All other fields must use the `EQUALS (=)` operator. Supported fields: - `campaignId` - `displayName` - `entityStatus` - `insertionOrderId` - `lineItemId` - `lineItemType` - `updateTime` (input in ISO 8601 format, or `YYYY-MM-DDTHH:MM:SSZ`) Examples: - All line items under an insertion order: `insertionOrderId="1234"` - All `ENTITY_STATUS_ACTIVE` or `ENTITY_STATUS_PAUSED` and `LINE_ITEM_TYPE_DISPLAY_DEFAULT` line items under an advertiser: `(entityStatus="ENTITY_STATUS_ACTIVE" OR entityStatus="ENTITY_STATUS_PAUSED") AND lineItemType="LINE_ITEM_TYPE_DISPLAY_DEFAULT"` - All line items with an update time less than or equal to 2020-11-04T18:54:47Z (format of ISO 8601): `updateTime<="2020-11-04T18:54:47Z"` - All line items with an update time greater than or equal to 2020-11-04T18:54:47Z (format of ISO 8601): `updateTime>="2020-11-04T18:54:47Z"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lineItems": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems#LineItem`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `lineItems[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems#LineItem`)`` The list of line items. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `lineItems.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).